export declare type SybaseEntryField = 'serviceType' | 'protocol' | 'network' | 'machine' | 'port' | 'filter';
export interface IHosts {
    [key: string]: ISybaseEntry[];
}
export interface ISybaseEntry {
    serviceType: string;
    protocol: string;
    network: string;
    machine: string;
    port: string;
    filter: string | undefined;
}
export interface ISybaseFilter {
    serviceType?: string;
    protocol?: string;
    network?: string;
    machine?: string;
    port?: string;
    filter?: string | undefined;
}
export declare function filterEntries(serverName: string, filter?: ISybaseFilter): ISybaseEntry[];
export declare function findEntry(serverName: string, filter?: ISybaseFilter): ISybaseEntry | undefined;
